/**
 * author: dabao
 * date: 2024-03-15
 * description: 商户首页
 */
var VUE = null
window.addEventListener("load", function () {
	VUE = new Vue({
		el: '#app',
		data() {
			return {
				previewUrl: BASE_URL,
				flag: 'XQ',
				flag: 'ADD',
				showDatePicker: false,  // 控制日期选择器显示
				minDate: new Date(gemhoUtil.getTargetDateYMD()),  // 最小可选日期
				maxDate: new Date(2099, 11, 31),  // 最大可选日期
				 // 日期选择的最小范围，这里设置为当前日期的前 10 年
				 // maxDate: new Date(new Date().getFullYear() + 10, 11),
				// 新增以下数据
				formData: {
					submitDate: gemhoUtil.getTargetDateYMD(),
					createDate: gemhoUtil.getTargetDateYMD(),
					date: gemhoUtil.getTargetDateYMD(),
					phone: '',
					businessHours: '',
					type: '', // 新增类型字段
				},
				id: ''
			}
		},
		created() {

		},
		mounted() {
			this.id = gemhoUtil.getParameter('id')
			if(this.id){ // 详情
				this.flag = 'XQ'
				this.detail() // 获取商户信息
			}else{
				this.flag = 'ADD'
			}
		},
		// watch: {
		// 	'formData.date': {
		// 		handler(newVal) {
		// 			console.log('date 属性变化:', newVal);
		// 		},
		// 		deep: true // 深度监听对象属性
		// 	}
		// },
		methods: {
			showDatePickerModal(){
				if(this.flag=='XQ'){
					return
				}
				this.showDatePicker = true
			},
			showImage(list, index) {
				const images = list.map((item)=>{
					return this.previewUrl + item
				})
				console.log(images, 'images')
				vant.ImagePreview({
					images,
					startPosition: index,
					closeable: true,
				});
			},
			gotoPage(stringifyUrl) {
				let url = gemhoUtil.setParameter(`src/_${stringifyUrl}.html`)
				gemhoUtil.navigatePage(url, '跳转中...')
			},
			// 确认日期选择
			onDateConfirm(date) {
				// 将 Date 对象格式化为 YYYY-MM-DD 字符串
				const year = date.getFullYear();
				const month = String(date.getMonth() + 1).padStart(2, '0');
				const day = String(date.getDate()).padStart(2, '0');
				this.formData.date = `${year}-${month}-${day}`;
				this.showDatePicker = false;
			},

			// 文件上传处理
			handleFileUpload(file) {
				console.log('上传文件:', file);
				// 此处可添加实际文件上传逻辑
			},

			submitForm() {
				if (!this.formData.content) {
					vant.Dialog.alert({
						message: '培训标题不可为空',
					})
					return;
				}
				if (!this.formData.content) {
					vant.Dialog.alert({
						message: '培训演练类别不可为空',
					})
					return;
				}
				if (!this.formData.content) {
					vant.Dialog.alert({
						message: '培训人数不可为空',
					})
					return;
				}
				if (!this.formData.content) {
					vant.Dialog.alert({
						message: '培训人不可为空',
					})
					return;
				}
				if (!this.formData.content) {
					vant.Dialog.alert({
						message: '图片不可为空',
					})
					return;
				}
				vant.Toast.loading({
					message: '正在处理...',
					forbidClick: true,
					loadingType: 'spinner',
				});
				var reqParam = {
					merId: this.merId,
					...this.formData,
				}
				// var url = "/gq/checkRecord/safeCheckRecord"

				http3.post('/gq/consumer', reqParam).then((res) => {
					console.log('添加结果', res)
					vant.Toast({
						message: '操作成功',
					})
					location.reload()
				})
			},
			//获取商户信息
			detail() {
				vant.Toast.loading({
					message: '正在加载...',
					forbidClick: true,
					loadingType: 'spinner',
				})
				setTimeout(() => {
					http2.post(
						{
							serviceId: API_KEY_MAP['no-page']['id'],
							interfacePublicKey: API_KEY_MAP['no-page']['publicKey'],
							interfacePrivateKey: API_KEY_MAP['no-page']['privateKey'],
							reqParams: {
								sign: 11,
								pageNum: this.page++, // 每次请求增加下一页
								pageSize: this.size,
								merId: this.merId,
								sort: 'lawId,desc',
							},
						},
						(res) => {
							if (!res) {
								// 中台返回为undefined 重新请求
								vant.Toast.clear()
								setTimeout(() => {
									// this.getList()
								}, 0)
								return
							}
							if (res) {
								var result = JSON.parse(res)
								this.formData = { ...this.formData, ...result.data }
							}
						}
					)
				}, 0)
			},
		}
	});

})